Package org.silverpeas.components.gallery.service

## Class ScheduledAlertUser

- java.lang.Object
- - org.silverpeas.components.gallery.service.ScheduledAlertUser

- All Implemented Interfaces:
    `org.silverpeas.core.scheduler.SchedulerEventListener`

      @Bean
      public class ScheduledAlertUser
      extends Object
      implements org.silverpeas.core.scheduler.SchedulerEventListener

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `GALLERYENGINE_JOB_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScheduledAlertUser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doScheduledAlertUser()` |
    `void` | `initialize()` |
    `void` | `jobFailed​(org.silverpeas.core.scheduler.SchedulerEvent anEvent)` |
    `void` | `jobSucceeded​(org.silverpeas.core.scheduler.SchedulerEvent anEvent)` |
    `void` | `release()` |
    `void` | `triggerFired​(org.silverpeas.core.scheduler.SchedulerEvent anEvent)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GALLERYENGINE_JOB_NAME

          public static final String GALLERYENGINE_JOB_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScheduledAlertUser

          public ScheduledAlertUser()

  - ### Method Detail

    - #### initialize

          public void initialize()

    - #### release

          public void release()

    - #### doScheduledAlertUser

          public void doScheduledAlertUser()

    - #### triggerFired

          public void triggerFired​(org.silverpeas.core.scheduler.SchedulerEvent anEvent)

      Specified by:
        `triggerFired` in interface `org.silverpeas.core.scheduler.SchedulerEventListener`

    - #### jobSucceeded

          public void jobSucceeded​(org.silverpeas.core.scheduler.SchedulerEvent anEvent)

      Specified by:
        `jobSucceeded` in interface `org.silverpeas.core.scheduler.SchedulerEventListener`

    - #### jobFailed

          public void jobFailed​(org.silverpeas.core.scheduler.SchedulerEvent anEvent)

      Specified by:
        `jobFailed` in interface `org.silverpeas.core.scheduler.SchedulerEventListener`